package com.community.huiju.constant;

public enum Status {

    /** 状态码 start**/
    RESPONSE_STATUS_200("200","请求成功!"),

    RESPONSE_STATUS_400("400","请求无法被理解!"),

    RESPONSE_STATUS_888("888","无访问权限!"),

    RESPONSE_STATUS_500("500","服务器错误!"),

    RESPONSE_STATUS_800("800","APP版本过低!"),

    RESPONSE_STATUS_801("801","无法确定用户类型!"),

    RESPONSE_STATUS_802("802","身份凭证不存在!"),

    // Token 已过期!
    RESPONSE_STATUS_803("803","您长时间未登录，需要重新登录。"),
    /** 状态码 end **/

    ;

    private String value;

    private String comment;

    Status(String value, String comment) {
        this.value = value;
        this.comment = comment;
    }

    Status() {
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
